robot-playerjoy(1)

NAME
robot-playerjoy - console-based client for teleoperation

SYNOPSIS
robot-playerjoy [options] <host:port> [<host:port>]

DESCRIPTION
robot-playerjoy is a console-based client that provides planar, differential-drive teleoperation of position2d and position3d devices. In other words, robot-playerjoy allows you to manually drive your (physical or simulated) robot around. robot-playerjoy uses velocity control, and so will only work when the underlying driver supports velocity control (most drivers do).

OPTIONS

-v  verbose mode. Print the Player device state on stdout.

-3d connect to position3d interface (instead of position).

-c  continuously send commands.

-n  don't send commands or enable motors (for debugging).

-k  use keyboard control (instead of joystick device).

-p  print out speeds on the console.

-udp
    use UDP instead of TCP (deprecated, currently disabled).

-speed speed
    maximum linear speed in meter per second (default: 0.5).

-turnspeed speed
    maximum angular speed in degrees per second (default: 60).

-dev device
    joystick device file the joystick is connected to (default: /dev/js0).

AUTHOR
Player was written by Brian Gerkey <gerkey@users.sourceforge.net> and contributors. This manual page was written by Daniel Hess for the Debian Project.

SEE ALSO
The HTML documentation in /usr/share/doc/player/html of the robot-player-doc package.